# Shipment

 - [POST /api/shipment/batch/quick_rate](https://docs.shipsaving.com/v2/openapi/shipment/batchquickrate.md): This endpoint allows you to quickly retrieve shipment rate quotes by providing the `from_address_data`, `to_address_data`, `package_data` and the `ship_date`. </br> **Each API call can include up to 1
 - [POST /api/shipment/get_rates](https://docs.shipsaving.com/v2/openapi/shipment/getrates.md): Retrieves shipping rates from all active carriers and service levels under your account, optionally filtered by specified carriers and service levels, and returns results sorted by fastest, cheapest,
 - [POST /api/shipment/create_and_pay](https://docs.shipsaving.com/v2/openapi/shipment/createandpay.md): Creates and pays for a shipment label using the `rate_id` obtained from a prior `get_rates` call. This endpoint also allows purchasing shipment insurance in the same request (insurance cannot be purch
 - [POST /api/shipment/direct_buy](https://docs.shipsaving.com/v2/openapi/shipment/directbuy.md): Creates and purchases a shipment label in a single step without calling `get_rates` separately. </br> This endpoint currently supports USPS Returns service levels. See the Appendix for the full list o
 - [POST /api/shipment/void_label](https://docs.shipsaving.com/v2/openapi/shipment/voidlabel.md): This endpoint allows voiding label by providing **either** `shipment_no` or `platform_uk_id`. Only one parameter is required to uniquely identify a shipment.
 - [GET /api/shipment/insurance/rate](https://docs.shipsaving.com/v2/openapi/shipment/paths/~1api~1shipment~1insurance~1rate/get.md)
